[android-components](../../index.md) / [mozilla.components.concept.engine.webnotifications](../index.md) / [WebNotificationDelegate](index.md) / [onShowNotification](./on-show-notification.md)

# onShowNotification

`open fun onShowNotification(webNotification: `[`WebNotification`](../-web-notification/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/webnotifications/WebNotificationDelegate.kt#L17)

Invoked when a web notification is to be shown.

### Parameters

`webNotification` - The web notification intended to be shown.